## org.apache.batik.dom.events
Class EventListenerList

    java.lang.Object
      org.apache.batik.dom.events.EventListenerList

    public class EventListenerList

extends java.lang.Object

Class to manager event listeners for one event type.

Nested Class Summary
`class` `EventListenerList.Entry` EventListenerTable entry class.

Field Summary
`protected IntTable` `counts` Counts of listener entries with a given namespace URI.
`protected EventListenerList.Entry` `head` Linked list of entries.
`protected EventListenerList.Entry[]` `listeners` Cache of listeners with any namespace URI.
`protected HashTable` `listenersNS` Caches of listeners with a given namespace URI.
`protected int` `n` Total number of event listners.

Constructor Summary
`EventListenerList()`

Method Summary
`void` `addListener(java.lang.String namespaceURI, java.lang.Object group, EventListener listener)` Adds a listener.
`EventListenerList.Entry[]` `getEventListeners()` Returns an array containing all event listener entries.
`EventListenerList.Entry[]` `getEventListeners(java.lang.String namespaceURI)` Returns an array of EventListeners that match the given namespace URI.
`boolean` `hasEventListener(java.lang.String namespaceURI)` Returns whether there is an event listener for the given namespace URI.
`void` `removeListener(java.lang.String namespaceURI, EventListener listener)` Removes a listener.
`int` `size()` Returns the number of event listeners stored in this object.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### n

    protected int n

  Total number of event listners.

### head

    protected EventListenerList.Entry head

  Linked list of entries.

### counts

    protected IntTable counts

  Counts of listener entries with a given namespace URI.

### listeners

    protected EventListenerList.Entry[] listeners

  Cache of listeners with any namespace URI.

### listenersNS

    protected HashTable listenersNS

  Caches of listeners with a given namespace URI.

Constructor Detail

### EventListenerList

    public EventListenerList()

Method Detail

### addListener

    public void addListener(java.lang.String namespaceURI,
                            java.lang.Object group,
                            EventListener listener)

  Adds a listener.

### removeListener

    public void removeListener(java.lang.String namespaceURI,
                               EventListener listener)

  Removes a listener.

### getEventListeners

    public EventListenerList.Entry[] getEventListeners()

  Returns an array containing all event listener entries.

### getEventListeners

    public EventListenerList.Entry[] getEventListeners(java.lang.String namespaceURI)

  Returns an array of EventListeners that match the given namespace URI.

### hasEventListener

    public boolean hasEventListener(java.lang.String namespaceURI)

  Returns whether there is an event listener for the given namespace URI.

### size

    public int size()

  Returns the number of event listeners stored in this object.

Copyright © 2008 Apache Software Foundation. All Rights Reserved.